From c55c58cf2dabf93c924c839c8ed045c18e31ba1c Mon Sep 17 00:00:00 2001
From: Peter Portante <peter.portante@redhat.com>
Date: Wed, 29 Jan 2014 21:50:27 -0500
Subject: [PATCH 30/72] Add tuned plugin

Resolves Issue #232.

Signed-off-by: Peter Portante <peter.portante@redhat.com>
Signed-off-by: Bryn M. Reeves <bmr@redhat.com>
---
 sos/plugins/tuned.py | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 sos/plugins/tuned.py

diff --git a/sos/plugins/tuned.py b/sos/plugins/tuned.py
new file mode 100644
index 0000000..60c22bc
--- /dev/null
+++ b/sos/plugins/tuned.py
@@ -0,0 +1,30 @@
+## Copyright (C) 2014 Red Hat, Inc., Peter Portante <peter.portante@redhat.com>
+
+### This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+from sos.plugins import Plugin, RedHatPlugin
+
+class Tuned(Plugin, RedHatPlugin):
+    """Tuned related information
+    """
+    packages = ('tuned',)
+    plugin_name = 'tuned'
+
+    def setup(self):
+        self.add_cmd_output("tuned-adm list")
+        self.add_cmd_output("tuned-adm active")
+        self.add_cmd_output("tuned-adm recommend")
+        self.add_copy_spec("/var/log/tuned/tuned.log")
+
-- 
1.9.3

